=== modified file 'plugin/transaction_log/transaction_log.cc'
--- plugin/transaction_log/transaction_log.cc	2009-11-20 18:08:46 +0000
+++ plugin/transaction_log/transaction_log.cc	2009-11-20 20:22:37 +0000
@@ -374,7 +374,7 @@
   /* Create and initialize the transaction log itself */
   if (sysvar_transaction_log_enabled)
   {
-    transaction_log= new (nothrow) TransactionLog("transaction_log",
+    transaction_log= new (nothrow) TransactionLog("transaction_log_applier",
                                                   string(sysvar_transaction_log_file), 
                                                   sysvar_transaction_log_checksum_enabled);
 

=== modified file 'tests/suite/transaction_log/r/information_schema.result'
--- tests/suite/transaction_log/r/information_schema.result	2009-11-16 22:00:02 +0000
+++ tests/suite/transaction_log/r/information_schema.result	2009-11-20 20:22:37 +0000
@@ -6,14 +6,8 @@
 INSERT INTO t1 VALUES (1, "I love testing.");
 INSERT INTO t1 VALUES (2, "I hate testing.");
 SELECT * FROM INFORMATION_SCHEMA.TRANSACTION_LOG;
-FILE_NAME	transaction.log
-FILE_LENGTH	454
-NUM_LOG_ENTRIES	4
-NUM_TRANSACTIONS	4
-MIN_TRANSACTION_ID	0
-MAX_TRANSACTION_ID	4
-MIN_END_TIMESTAMP	1258136256237884
-MAX_END_TIMESTAMP	1258136256251906
+FILE_NAME	FILE_LENGTH	NUM_LOG_ENTRIES	NUM_TRANSACTIONS	MIN_TRANSACTION_ID	MAX_TRANSACTION_ID	MIN_END_TIMESTAMP	MAX_END_TIMESTAMP
+transaction.log	454	4	4	0	4	X	X
 SELECT * FROM INFORMATION_SCHEMA.TRANSACTION_LOG_ENTRIES;
 ENTRY_OFFSET	ENTRY_TYPE	ENTRY_LENGTH
 0	TRANSACTION	85
@@ -22,8 +16,8 @@
 333	TRANSACTION	121
 SELECT * FROM INFORMATION_SCHEMA.TRANSACTION_LOG_TRANSACTIONS;
 ENTRY_OFFSET	TRANSACTION_ID	SERVER_ID	START_TIMESTAMP	END_TIMESTAMP	NUM_STATEMENTS	CHECKSUM
-0	0	1	1258136256237875	1258136256237884	1	0
-85	0	1	1258136256247213	1258136256247217	1	0
-212	3	1	1258136256249819	1258136256250146	1	0
-333	4	1	1258136256251424	1258136256251906	1	0
+0	0	1	X	X	1	0
+85	0	1	X	X	1	0
+212	3	1	X	X	1	0
+333	4	1	X	X	1	0
 SET GLOBAL transaction_log_truncate_debug= true;

=== modified file 'tests/suite/transaction_log/r/udf_print_transaction_message.result'
--- tests/suite/transaction_log/r/udf_print_transaction_message.result	2009-11-16 22:00:02 +0000
+++ tests/suite/transaction_log/r/udf_print_transaction_message.result	2009-11-20 20:22:37 +0000
@@ -5,9 +5,9 @@
 );
 INSERT INTO t1 VALUES (1, "I love testing.");
 INSERT INTO t1 VALUES (2, "I hate testing.");
-SELECT LENGTH(PRINT_TRANSACTION_MESSAGE('transaction.log', ENTRY_OFFSET)) as msg_length
+SELECT LENGTH(PRINT_TRANSACTION_MESSAGE('transaction.log', ENTRY_OFFSET)) > 0 as checked
 FROM INFORMATION_SCHEMA.TRANSACTION_LOG_ENTRIES
 LIMIT 1;
-msg_length
-264
+checked
+1
 SET GLOBAL transaction_log_truncate_debug= true;

=== modified file 'tests/suite/transaction_log/t/information_schema.test'
--- tests/suite/transaction_log/t/information_schema.test	2009-11-16 22:00:02 +0000
+++ tests/suite/transaction_log/t/information_schema.test	2009-11-20 20:22:37 +0000
@@ -10,10 +10,10 @@
 # that the information contained in them matches
 # the transaction log.
 
---vertical_results
+--replace_column 7 X 8 X
 SELECT * FROM INFORMATION_SCHEMA.TRANSACTION_LOG;
---horizontal_results
 SELECT * FROM INFORMATION_SCHEMA.TRANSACTION_LOG_ENTRIES;
+--replace_column 4 X 5 X
 SELECT * FROM INFORMATION_SCHEMA.TRANSACTION_LOG_TRANSACTIONS;
 
 # Truncate the log file to reset for the next test

=== modified file 'tests/suite/transaction_log/t/udf_print_transaction_message.test'
--- tests/suite/transaction_log/t/udf_print_transaction_message.test	2009-11-16 22:00:02 +0000
+++ tests/suite/transaction_log/t/udf_print_transaction_message.test	2009-11-20 20:22:37 +0000
@@ -9,7 +9,7 @@
 # Query the INFORMATION_SCHEMA.TRANSACTION_LOG_ENTRIES view
 # and call the PRINT_TRANSACTION_MESSAGE() UDF
 
-SELECT LENGTH(PRINT_TRANSACTION_MESSAGE('transaction.log', ENTRY_OFFSET)) as msg_length
+SELECT LENGTH(PRINT_TRANSACTION_MESSAGE('transaction.log', ENTRY_OFFSET)) > 0 as checked
 FROM INFORMATION_SCHEMA.TRANSACTION_LOG_ENTRIES
 LIMIT 1;
 

